Official documentation for authentication, parameters, examples, and error codes.
Base URL: https://fightdx.com
Endpoint: GET /api/rankings/
Send one backend API key header:
Authorization: Bearer <api_key>X-API-Key: <api_key>Gateway validation header:
X-RapidAPI-Proxy-Secret: <shared_secret>sex (required): m or fweight_class (required): e.g. lightweight, p4porganisation (optional): defaults to ufcdate (optional): YYYY-MM-DDcurl "https://fightdx.com/api/rankings/?sex=m&weight_class=lightweight" \
-H "X-RapidAPI-Proxy-Secret: your-shared-secret" \
-H "X-API-Key: your-backend-api-key"
{
"organisation": {"id": "ufc", "display_name": "UFC"},
"sex": "m",
"weight_class": {"id": "lightweight", "display_name": "Lightweight"},
"requested_date": null,
"effective_date": "2025-01-20",
"snapshot": {
"date": "2025-01-20",
"ranks": []
}
}
401: Unauthorized (invalid or missing API key)403: Forbidden (missing/invalid proxy secret or denied source)404: Rankings data not found429: Too Many Requests